// Copyright (c) [2022] [巴拉迪维 BaratSemet]
// [ohUrlShortener] is licensed under Mulan PSL v2.
// You can use this software according to the terms and conditions of the Mulan PSL v2.
// You may obtain a copy of Mulan PSL v2 at:
// 				 http://license.coscl.org.cn/MulanPSL2
// THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT, MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
// See the Mulan PSL v2 for more details.

package utils

import (
	"strings"
)

func IsWeChatClient(ua string) bool {
	// 检查 User-Agent 中是否包含微信客户端的标识
	return strings.Contains(ua, "MicroMessenger")
}

func IsMobile(ua string) bool {
	// 检查 User-Agent 中是否包含移动设备的标识
	return strings.Contains(ua, "Mobile") && !IsWeChatClient(ua)
}

func IsPC(userAgent string) bool {
	// 检查 User-Agent 中是否包含 PC 浏览器的标识
	t := strings.Contains(userAgent, "Windows NT") || strings.Contains(userAgent, "Macintosh")
	return t
}
